<div *ngIf="cocktail$ | async as cocktail">
  <div class="row no-gutters" *ngIf="loadCocktail && cocktail">
    <div class="col-12 text-center">

      <div class="row">
        <div class="col-12 d-grid gap-2">
          <h1>{{cocktail.strDrink}}</h1>
        </div>
      </div>

      <div class="row">
        <div class="col-12">
          <img class="img-fluid" [src]="cocktail.strDrinkThumb" alt="">
        </div>
      </div>

      <div class="row">
        <div class="col-12">
          <h1>Instrucciones</h1>
          <p>{{cocktail.strInstructions}}</p>
        </div>
      </div>

      <div class="row">
        <div class="col-6">
          <h1>Ingredientes</h1>
          <ul>
            <li>{{cocktail.strIngredient1}}</li>
            <li>{{cocktail.strIngredient2}}</li>
            <li>{{cocktail.strIngredient3}}</li>
            <li>{{cocktail.strIngredient4}}</li>
          </ul>
        </div>

        <div class="col-6">
          <h1>Medidas</h1>
          <ul>
            <li>{{cocktail.strMeasure1}}</li>
            <li>{{cocktail.strMeasure2}}</li>
            <li>{{cocktail.strMeasure3}}</li>
          </ul>
        </div>
      </div>

      <div class="row mb-2">
        <div class="col-12">
          <button type="button" class="btn btn-primary btn-lg btn-block"
            [routerLink]="['/list-cocktails']">Volver</button>
        </div>
      </div>
    </div>
  </div>
</div>


<div class="row" *ngIf="cocktail$ | async as cocktail">
  <div class="col-12" *ngIf="loadCocktail && !cocktail">
    <div class="row">
      <div class="col-12">
        <p>No se encontraron resultados</p>
      </div>
    </div>

    <div class="row mb-2">
      <div class="col-12">
        <button type="button" class="btn btn-primary btn-lg btn-block"
            [routerLink]="['/list-cocktails']">Volver</button>
      </div>
    </div>
  </div>
</div>

<div class="h-100" *ngIf="!loadCocktail">
  <div class="spinner">
    <img src="../../../assets/img/spinner.gif" alt="">
  </div>
</div>